VRF System

Local Entry Point

Local request entry point for iZone VRF system is:

Query Request.

POST http://[bridge_IPAddr]/VrfControlRequest

Control Request.

POST http://[bridge_IPAddr]/VrfControlCommand

Local Query Request Format

Local query request body format for iZone VRF system is:

Request Body JSON:

{
	"VrfControlSystemRequest":
	{
		"Type": x, //data type to be requested. 1 - system confiugration, 2 - system status, 3 - favourate configuration
		"No": y, //if x==3, y should be favorate index
		"No1": z //currently no use
	}
}

Datagram

VRF sytem configuration information

{
	"AirStreamDeviceUId":int,				// system ID number
	"DeviceType":"ASH",
	"VrfControlSystem":
	{
		"Global":
		{
		}
		,
		"Vrfs":
		[
			{
				"X":int,				// VRF FCU number (0 - 15)
				"Name":string,			// VRF FCU name
				"On":int,				// VRF FCU on (0 - off, 1 - on)
				"Mode":int,				// VRF FCU mode (UnitMode_e)
				"Fan":int,				// VRF FCU fan speed (FanMode_e)
				"Sp":int,				// VRF FCU setpoint (1500 - 3000)
				"Sw":int,				// VRF FCU swing (SplitSystemSwingType_e)
				"Er":string,			// VRF FCU AC unit error
				"Ra":int,				// VRF FCU return air temperature
				"Rs":int,				// VRF FCU remote sensor setting (0 - indoor, 1 - remote)
				"C325":int,				// VRF FCU C325 module connected
				"Ac":int,				// VRF FCU AC unit connected
				"Cvrf":int,				// VRF FCU CVRF module connected
				"Id":int,				// VRF FCU CVRF device ID
				"Ms":int,				// VRF FCU master setting (0 - not master, 1 - master)
				"Rf":int				// VRF FCU RF sensor detected (0 - not detected, 1 - sensor OK)
				"Tmr":int,				// VRF FCU sleep timer setting (SplitSystemSleepTimer_e)
				"TmrL":int,				// VRF FCU sleep timer left in minutes
				"SwAl":int				// VRF FCU swing types allowed
			}
			,
			...						// up to 16 headers
		]
	}
}

VRF FCU of index 0 is reserved for the zoning ducted System.

Control Actions

Turn VRF FCU On/Off

{
	"VrfSystemZoneOn":
	{
		"Index":a,
		"On":b
	}
}

where:
a - vrf fcu index
b - is the on/off setting (0 - off, 1 - on)

Change VRF FCU Mode

{
	"VrfSystemZoneMode":
	{
		"Index":a,
		"Mode":b
	}
}

where:
a - vrf fcu index
b - is the mode setting

Change VRF FCU Fanspeed

{
	"VrfSystemZoneFan":
	{
		"Index":a,
		"Fan":b
	}
}

where:
a - vrf fcu index
b - is the fanspeed setting

Set VRF FCU Setpoint

{
	"VrfSystemZoneSetpoint":
	{
		"Index":a,
		"Setpoint":b
	}
}

where:
a - vrf fcu index
b - is setpoint multiplied by 100 (1500 (15) - 3000 (30), increments of 100)

Set VRF FCU Swing

{
	"VrfSystemZoneSwing":
	{
		"Index":a,
		"Swing":b
	}
}

where:
a - vrf fcu index
b - is swing

Set VRF FCU Sleep Timer

{
	"VrfSystemZoneSleepTimer":
	{
		"Index":int,
		"Timer":int
	}
}

where:
a - vrf fcu index
b - is sleep timer

Change VRF FCU Name

{
	"VrfControlVrfName":
	{
		"Index":a,
		"Name":b
	}
}

where:
a: vrf fcu index
b: name (up to 16 characted including the terminating characted ‘\0’)

Types

SysMode_e

{
        SysMode_Cool = 1,
        SysMode_Heat,
        SysMode_Vent,
        SysMode_Dry,
        SysMode_Auto,
}

SysFan_e

{
        SysFan_Low = 1,
        SysFan_Med,
        SysFan_High,
        SysFan_Auto,
 }

SplitSystemSwingType_e

{
        SplitSystemSwingType_None,
        SplitSystemSwingType_Horizontal,
        SplitSystemSwingType_Vertical,
        SplitSystemSwingType_Both
}

SplitSystemSleepTimer_e

{
        SplitSystemSleepTimer_Off,
        SplitSystemSleepTimer_05h,
        SplitSystemSleepTimer_1h,
        SplitSystemSleepTimer_2h,
        SplitSystemSleepTimer_4h,
        SplitSystemSleepTimer_6h,
        SplitSystemSleepTimer_8h,
        SplitSystemSleepTimer_12h
}